DPDK patches and discussions
 help / color / mirror / Atom feed
From: David Marchand <david.marchand@redhat.com>
To: "Abdullah Ömer Yamaç" <omer.yamac@ceng.metu.edu.tr>
Cc: dev@dpdk.org, Ferruh Yigit <ferruh.yigit@amd.com>,
	 Bruce Richardson <bruce.richardson@intel.com>,
	Thomas Monjalon <thomas@monjalon.net>
Subject: Re: [PATCH v2 2/2] drivers: remove the unnecessary version.map
Date: Tue, 11 Oct 2022 15:10:29 +0200	[thread overview]
Message-ID: <CAJFAV8zWdKJ0-HNPMj0GYDhPcAgB2t8rGQdCFbKmdPCL6UBg2A@mail.gmail.com> (raw)
In-Reply-To: <20221011110850.604496-2-omer.yamac@ceng.metu.edu.tr>

On Tue, Oct 11, 2022 at 1:09 PM Abdullah Ömer Yamaç
<omer.yamac@ceng.metu.edu.tr> wrote:
>
> With the previous patch, some version.map files are not necessary.
> In this patch, we removed them.
>
> Signed-off-by: Abdullah Ömer Yamaç <omer.yamac@ceng.metu.edu.tr>
> Suggested-by: Ferruh Yigit <ferruh.yigit@amd.com>

I'd like some check added as part of this series.
Something like:

$ git diff
diff --git a/devtools/check-symbol-maps.sh b/devtools/check-symbol-maps.sh
index 32e1fa5c8f..9d2f85ed73 100755
--- a/devtools/check-symbol-maps.sh
+++ b/devtools/check-symbol-maps.sh
@@ -60,4 +60,18 @@ if [ -n "$local_miss_maps" ] ; then
     ret=1
 fi

+find_unneeded_maps ()
+{
+    for map in $@ ; do
+        [ $(buildtools/map-list-symbol.sh $map | wc -l) != 0 ] || echo $map
+    done
+}
+
+unneeded_maps=$(find_unneeded_maps $@)
+if [ -n "$unneeded_maps" ] ; then
+    echo "Found unneeded map files:"
+    echo "$unneeded_maps"
+    ret=1
+fi
+
 exit $ret


It helped me catch:

$ ./devtools/check-symbol-maps.sh
Found unneeded map files:
drivers/net/mana/version.map


-- 
David Marchand


  reply	other threads:[~2022-10-11 13:10 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-03  6:52 [PATCH] drivers: suggestion on removing empty version.map files Abdullah Ömer Yamaç
2022-10-03  9:19 ` Bruce Richardson
2022-10-03 13:59   ` Omer Yamac
2022-10-03 14:01     ` Bruce Richardson
2022-10-04  6:30       ` Omer Yamac
2022-10-04  8:07         ` Bruce Richardson
2022-10-06  7:19           ` [PATCH 1/2] drivers: suggestion on meson without version file Abdullah Ömer Yamaç
2022-10-06  7:19             ` [PATCH 2/2] drivers: remove the unnecessary version.map Abdullah Ömer Yamaç
2022-10-07 10:30             ` [PATCH 1/2] drivers: suggestion on meson without version file Bruce Richardson
2022-10-10  7:41               ` Omer Yamac
2022-10-10  8:34                 ` Bruce Richardson
2022-10-11 11:08                   ` [PATCH v2 1/2] build: make version file optional for drivers Abdullah Ömer Yamaç
2022-10-11 11:08                     ` [PATCH v2 2/2] drivers: remove the unnecessary version.map Abdullah Ömer Yamaç
2022-10-11 13:10                       ` David Marchand [this message]
2022-10-11 19:21                         ` Omer Yamac
2022-10-12 10:29                           ` [PATCH v3 1/2] build: make version file optional for drivers Abdullah Ömer Yamaç
2022-10-12 10:29                             ` [PATCH v3 2/2] " Abdullah Ömer Yamaç
2022-10-12 10:42                               ` [PATCH v4 1/2] " Abdullah Ömer Yamaç
2022-10-12 10:42                                 ` [PATCH v4 2/2] drivers: remove the unnecessary Abdullah Ömer Yamaç
2022-10-12 11:32                                 ` [PATCH v4 1/2] build: make version file optional for drivers Ferruh Yigit
2022-11-14 14:19                                   ` David Marchand
2022-10-11 12:00                     ` [PATCH v2 " Bruce Richardson

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=CAJFAV8zWdKJ0-HNPMj0GYDhPcAgB2t8rGQdCFbKmdPCL6UBg2A@mail.gmail.com \
    --to=david.marchand@redhat.com \
    --cc=bruce.richardson@intel.com \
    --cc=dev@dpdk.org \
    --cc=ferruh.yigit@amd.com \
    --cc=omer.yamac@ceng.metu.edu.tr \
    --cc=thomas@monjalon.net \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).